SDL_GetGamepadProductVersionForID(3)

NAME
SDL_GetGamepadProductVersionForID - Get the product version of a gamepad, if available.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint16 SDL_GetGamepadProductVersionForID(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any gamepads are opened. If the product version isn't available this function returns 0.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

RETURN VALUE
( Uint16 ) Returns the product version of the selected gamepad. If called on an invalid index, this function returns zero.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetGamepadProductVersion(3), •(3), SDL_GetGamepads(3)